Subject: smileys

From: [email-masked] (Arnold Robbins)
Date: Thu, 3 Feb 1994 12:52:14 -0500

Unicode has two smileys and a saddy, but they're up at some absolutely
awful hex addresses I can never remeber. So I broke down and added alt codes
to libXg to handle them. ☺

Apply this diff to latin1.c in libXg and recompile 9term.  I haven't tested
samterm yet but it oughta work.  Bobf, can we get these into "the next
release" whenever that will be?

Enjoy,

(☻)

Arnold
----------------
*** latin1.c.orig	Tue Sep 28 11:31:50 1993
--- latin1.c	Thu Feb  3 12:45:03 1994
***************
*** 208,213 ****
--- 208,216 ----
  	0x22a8,	'T','u',	/* valid */
  	0x22c4,	'l','z',	/* lozenge */
  	0x22ef,	'e','l',	/* ellipses */
+ 	0x2639, ':','(',	/* saddy */
+ 	0x263a, ':',')',	/* white-face smiley */
+ 	0x263b, ';',')',	/* dark-face smiley */
  	0,	0,
  };